Subject: Re: bug#374: Info header line does not respect mouse-1-click-follows-link

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Sat, 14 Jun 2008 20:39:27 +0200

Drew Adams wrote:
>>>>> The point here is about users being _able_ to have the traditional
>>>>> (pre-22)behavior, not about setting the traditional 
>>>>> behavior as the default.
>>>> Wouldn't that need be much less if the links where 
>>>> underlined or only underlined links where followed by
>>>> mouse-1 (as I wrote in the 
>>>> previous comment to your proposal)?
>>> It has nothing to do with link appearance. (It would not 
>>> help to underline links in Dired.) Quite the contrary:
>>> I don't want to have to look carefully to see if
>>> I'm clicking on a link, just to select a buffer. I don't 
>>> want to check whether text is underlined or whatever.
>> Thanks, I see. But I believe many people would think 
>> differently since they have learned otherwise from for
>> example web browsers.
> 
> And that's precisely why we let them use mouse-1 to follow links. I am not
> proposing to take that away from anyone who expects or wants it.

I am sure you not. I just thought this was a good time to ask for 
consistency regarding underline. (I think telling about it in a context 
like this may be better than making it a separate proposal, but I am not 
sure.)